package com.slodon.b2b2c.enums;

import com.slodon.b2b2c.core.constant.MemberConst;

import java.util.HashMap;
import java.util.Map;

/**
 * 终端数据
 * pc-pc；h5-H5；android-Android；ios-IOS；xcx-微信小程序
 */
public class TerminalJson {

    /**
     * 默认终端编码
     */
    public static String defaultTerminalCode = StatsConstant.TERMINAL_PC;
    /**
     * 全部终端 key-terminalCode  value-terminalName
     */
    public static Map<String, String> terminalMap = new HashMap<>();
    /**
     * 全部终端 key-终端来源  value-terminalName
     */
    public static Map<Integer, String> terminalNameMap = new HashMap<>();

    static {
        terminalMap.put(StatsConstant.TERMINAL_PC, "pc");
        terminalMap.put(StatsConstant.TERMINAL_H5, "H5");
        terminalMap.put(StatsConstant.TERMINAL_ANDROID, "Android");
        terminalMap.put(StatsConstant.TERMINAL_IOS, "IOS");
        terminalMap.put(StatsConstant.TERMINAL_WX_XCX, "微信小程序");
        terminalMap.put(StatsConstant.TERMINAL_BD_XCX, "百度小程序");
        terminalMap.put(StatsConstant.TERMINAL_ALI_XCX, "支付宝小程序");
        terminalMap.put(StatsConstant.TERMINAL_DY_XCX, "抖音小程序");

        terminalNameMap.put(MemberConst.MEMBER_FROM_PC, "pc");
        terminalNameMap.put(MemberConst.MEMBER_FROM_H5, "H5");
        terminalNameMap.put(MemberConst.MEMBER_FROM_Android, "Android");
        terminalNameMap.put(MemberConst.MEMBER_FROM_IOS, "IOS");
        terminalNameMap.put(MemberConst.MEMBER_FROM_MALL, "pc");
        terminalNameMap.put(MemberConst.MEMBER_FROM_WXMALL, "微信小程序");
        terminalNameMap.put(MemberConst.MEMBER_FROM_BDXCX, "百度小程序");
        terminalNameMap.put(MemberConst.MEMBER_FROM_ALIXCX, "支付宝小程序");
        terminalNameMap.put(MemberConst.MEMBER_FROM_DYXCX, "抖音小程序");
    }
}
